Subject: Re: Exception handling
From: Keith Moore <[email-masked]>
To: Arnt Gulbrandsen <[email-masked]>
Cc: [email-masked], Hector Santos <[email-masked]>
Date: Fri, 1 Oct 2010 09:35:37 -0400
List-Id: <ietf-822.imc.org>

On Oct 1, 2010, at 3:29 AM, Arnt Gulbrandsen wrote:

> Keith Moore writes:
>> IMO, With a few notable exceptions (e.g. submission servers, spam filters, gateways to foreign systems), MTAs shouldn't be checking message headers at all.
> 
> AFAICR (right now) all the MTAs I've heard of have at least one of those features, most have two, and are covered by these exceptions.
> 
> Makes the rule fairly irrelevant.

Okay, I'll state it with more precision: The checking of headers should only occur when such a feature is actually being used: e.g. when the message is actually being submitted, being filtered for spam specifically on behalf of a sender or recipient, or being gatewayed into (or out of) a foreign (non-Internet) mail system.  

>> The problem is that a message typically has to pass through several MTAs.
>> ... [much elided] ...
> 
> Yes, all very sensible, but in the end, there always are spam filters and often exchange gateways and other exempted hops, so the actions of any other MTAs are essentially insignificant.

Disagree.  The more hops there are that reject mail based on headers, the more opportunities there are for a (mostly) valid message to fail to be delivered.  

For that matter, the more hops there are that try to "correct" messages that they see as being invalid, the more opportunities a message has to get altered in ways that either further corrupt the message, mask the original problem, and/or subtly change the meaning (as when a Date or To header field is added).

Keith

Date: Fri, 1 Oct 2010 09:29:07 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Exception handling
Cc: Keith Moore <[email-masked]>, Hector Santos <[email-masked]>
Organization: http://arnt.gulbrandsen.priv.no
Sender: [email-masked]

Keith Moore writes:
> IMO, With a few notable exceptions (e.g. submission servers, spam 
> filters, gateways to foreign systems), MTAs shouldn't be checking 
> message headers at all.

AFAICR (right now) all the MTAs I've heard of have at least one of those 
features, most have two, and are covered by these exceptions.

Makes the rule fairly irrelevant.

> The problem is that a message typically has to pass through several MTAs.
> ... [much elided] ...

Yes, all very sensible, but in the end, there always are spam filters 
and often exchange gateways and other exempted hops, so the actions of 
any other MTAs are essentially insignificant.

Arnt